# Uses of Class
it.tdlight.jni.TdApi.StoryInteractionInfo

## Uses of TdApi.StoryInteractionInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.StoryInteractionInfo
Modifier and Type
Field
Description
`TdApi.StoryInteractionInfo`
TdApi.Story.`interactionInfo`
Information about interactions with the story; may be null if the story isn't owned or there were no interactions.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryInteractionInfo
Modifier
Constructor
Description
``
`Story(int id, long senderChatId, TdApi.MessageSender senderId, int date, boolean isBeingSent, boolean isBeingEdited, boolean isEdited, boolean isPinned, boolean isVisibleOnlyForSelf, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canToggleIsPinned, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption)`
Represents a story.